import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Project } from './project.entity';
import { ProjectRepository } from './project.repository'; // 路径已确认为正确相对路径

@Module({
  imports: [TypeOrmModule.forFeature([Project])],
  providers: [ProjectRepository],
  exports: [ProjectRepository]
})
export class ProjectModule {}