# 系统架构设计

## 技术栈
- 前端：Angular 16 + Material Design
- 后端：NestJS + TypeORM + JWT
- 数据库：PostgreSQL
- 文件存储：MinIO
- 实时通信：WebSocket

## 模块划分
1. 用户认证模块
2. 工作区管理模块
3. AI服务集成模块
4. 插件管理模块
5. 项目管理模块

## 数据模型关系
```mermaid
graph TD
    User --> Workspace
    Workspace --> Project
    Workspace --> AiConfig
    Workspace --> PluginConfig