# 数据库设计

## 用户表 (User)
| 字段名 | 类型 | 描述 |
|-------|------|------|
| id | integer | 主键 |
| email | string | 邮箱（唯一） |
| password | string | 密码 |

## 工作区表 (Workspace)
| 字段名 | 类型 | 描述 |
|-------|------|------|
| id | integer | 主键 |
| name | string | 工作区名称 |

## 项目表 (Project)
| 字段名 | 类型 | 描述 |
|-------|------|------|
| id | integer | 主键 |
| name | string | 项目名称 |
| description | text | 项目描述 |
| createdAt | timestamp | 创建时间 |

## AI配置表 (AiConfig)
| 字段名 | 类型 | 描述 |
|-------|------|------|
| id | integer | 主键 |
| apiUrl | string | API地址 |
| apiKey | string | API密钥 |

## 插件配置表 (PluginConfig)
| 字段名 | 类型 | 描述 |
|-------|------|------|
| id | integer | 主键 |
| pluginId | string | 插件ID |
| settings | json | 插件配置 |