# API接口规范

## 用户认证
- `POST /auth/register` - 用户注册
  - 请求体：{email: string, password: string}
  - 响应：{accessToken: string}

- `POST /auth/login` - 用户登录
  - 请求体：{email: string, password: string}
  - 响应：{accessToken: string}

## 工作区管理
- `GET /workspace` - 获取用户工作区
- `POST /workspace` - 创建工作区

## AI服务配置
- `GET /ai/config` - 获取AI配置
- `POST /ai/config` - 保存AI配置

## 插件管理
- `GET /plugins` - 获取可用插件
- `POST /plugins/install` - 安装插件

## 项目管理
- `GET /projects` - 获取项目列表
- `POST /projects` - 创建新项目
- `GET /projects/:id` - 获取项目详情